# Class InflaterFactory

java.lang.Object
htsjdk.samtools.util.zip.InflaterFactory

public class InflaterFactory extends Object
Factory for `Inflater` objects used by `BlockGunzipper`. This class may be extended to provide alternative inflaters (e.g., for improved performance).

By default, if `Defaults.USE_LIBDEFLATE` is true and the native library is available, this factory will create a

invalid reference

    LibdeflateInflater

. Otherwise it falls back to the JDK `Inflater`.

## Constructor Summary

Constructors
Constructor
Description
`InflaterFactory()`

## Method Summary

Modifier and Type
Method
Description
`Inflater`
`makeInflater(boolean gzipCompatible)`
Returns an inflater object that will be used when reading DEFLATE compressed files.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InflaterFactory

public InflaterFactory()

## Method Details

### makeInflater

public Inflater makeInflater(boolean gzipCompatible)
Returns an inflater object that will be used when reading DEFLATE compressed files. Subclasses may override to provide their own inflater implementation.

Parameters:
  `gzipCompatible` - if true then use GZIP compatible compression